document.addEventListener('DOMContentLoaded', function() {
    const slider = document.getElementById('slider');
    const button = document.getElementById('button');

    slider.addEventListener('input', function() {
        const sliderValue = this.value;
        console.log('Slider Value:', sliderValue); // Print slider value for debugging
    });

    button.addEventListener('click', function() {
        console.log('Button Clicked'); // Print button click for debugging
        const sliderValue = slider.value;
        sendSliderValue(sliderValue);
    });

    function sendSliderValue(data) {
        const socket = new WebSocket('ws://192.168.10.194:8080'); // Replace with your ESP32's IP address

        socket.onopen = function(event) {
            console.log('WebSocket connection established');
            socket.send(data);
            socket.close(); // Close the connection after sending data
        };

        socket.onerror = function(event) {
            console.error('WebSocket error:', event);
        };

        socket.onclose = function(event) {
            console.log('WebSocket connection closed');
        };
    }
});
